# Class AminoMonomer

java.lang.Object
org.jmol.modelset.Group
org.jmol.modelsetbio.Monomer
org.jmol.modelsetbio.AlphaMonomer
org.jmol.modelsetbio.AminoMonomer

All Implemented Interfaces:
  `Structure`

public class AminoMonomer extends AlphaMonomer

## Field Summary

### Fields inherited from class AlphaMonomer

`nitrogenHydrogenPoint, proteinStructure`

### Fields inherited from class Monomer

`backboneBlockVis, bioPolymer, offsets`

### Fields inherited from class Group

`chain, dssrNT, firstAtomIndex, group1, group3Names, groupID, groupIndex, lastAtomIndex, leadAtomIndex, selectedIndex, seqcode, shapeVisibilityFlags, specialAtomNames, standardGroupList, strutPoint`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AminoMonomer()`

## Method Summary

Modifier and Type
Method
Description
`BS`
`getBSSideChain()`
`Atom`
`getCarbonylCarbonAtom()`
`Atom`
`getCarbonylOxygenAtom()`
`Atom`
`getExplicitNH()`
`boolean`
`getNHPoint(P3 aminoHydrogenPoint, V3 vNH, boolean jmolHPoint, boolean dsspIgnoreHydrogens)`
`Atom`
`getNitrogenAtom()`
/////////////////////////////////////////////////////////////
`String`
`getProteinStructureTag()`
`Quat`
`getQuaternion(char qType)`
`String`
`getStructureId()`
`void`
`resetHydrogenPoint()`

### Methods inherited from class AlphaMonomer

`getAtom, getAtomPoint, getHelixData, getProteinStructureSubType, getProteinStructureType, getQuaternionAlpha, getQuaternionFrameCenterAlpha, getStrucNo, getStructure, isHelix, isProtein, isSheet, isWithinStructure, setProteinStructureType, setStrucNo`

### Methods inherited from class Monomer

`checkOptional, getAtomFromOffsetIndex, getAtomIndex, getBioPolymerIndexInModel, getBioPolymerLength, getCrossLinkGroup, getCrossLinkVector, getGroup1, getGroup1b, getGroupParameter, getHelixData2, getLeadAtom, getMonomerIndex, getMyInfo, getSelectedMonomerCount, getSelectedMonomerIndex, getSpecialAtom, getSpecialAtomPoint, getUniqueID, getWingAtom, have, isConnectedPrevious, isCrossLinked, isLeadAtom, scanForOffsets, set2, setGroupID, setLeadAtomIndex, toString, updateOffsetsForAlternativeLocations`

### Methods inherited from class Group

`addAtoms, fixIndices, getGroup3, getGroupInfo, getInsCode, getInsertionCode, getInsertionCodeChar, getInsertionCodeFor, getLeadAtomOr, getMinZ, getModel, getQuaternionFrame, getResno, getSeqcodeFor, getSeqcodeString, getSeqcodeStringFor, getSeqNumberFor, haveSequenceNumber, isAdded, isCarbohydrate, isCursorOnTopOf, isDna, isDnaByID, isNucleic, isNucleicMonomer, isPurine, isPurineByID, isPyrimidine, isPyrimidineByID, isRna, isRnaByID, isSelected, scaleToScreen, setAtomBits, setAtomBitsAndClear, setGroup, setResno, setShapeVisibility, unsetStrutPoint`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AminoMonomer

protected AminoMonomer()

## Method Details

### getNitrogenAtom

public Atom getNitrogenAtom()
/////////////////////////////////////////////////////////////

Overrides:
  `getNitrogenAtom` in class `Group`

### getCarbonylCarbonAtom

public Atom getCarbonylCarbonAtom()

### getCarbonylOxygenAtom

public Atom getCarbonylOxygenAtom()

Overrides:
  `getCarbonylOxygenAtom` in class `Group`

### resetHydrogenPoint

public void resetHydrogenPoint()

### getExplicitNH

public Atom getExplicitNH()

### getNHPoint

public boolean getNHPoint(P3 aminoHydrogenPoint, V3 vNH, boolean jmolHPoint, boolean dsspIgnoreHydrogens)

### getQuaternion

public Quat getQuaternion(char qType)

Overrides:
  `getQuaternion` in class `AlphaMonomer`
Parameters:
  `qType` -
Returns:
  quaternion

### getStructureId

public String getStructureId()

Overrides:
  `getStructureId` in class `Monomer`

### getProteinStructureTag

public String getProteinStructureTag()

Overrides:
  `getProteinStructureTag` in class `Group`

### getBSSideChain

public BS getBSSideChain()

Overrides:
  `getBSSideChain` in class `Group`